Na Plesk update Composer 2.x downgraden naar 1.x


Door een bug in Plesk is het mogelijk dat recent Composer is geupgrade van 1.x naar 2.x. Dat kan je als volgt herstellen via SSH (gebruiker met root rechten):

cp /usr/local/psa/admin/conf/panel.ini.sample /usr/local/psa/admin/conf/panel.ini

Open panel.ini:

vi /usr/local/psa/admin/conf/panel.ini

Voeg 2 regels toe:

[composer]
downloadUrl = https://getcomposer.org/composer-stable.phar

Sla de wijzigingen op en sluit vi af (escape, en daarna :wq)

Voer uit:

plesk daily ComposerSelfUpdate

Composer moet nu weer versie 1.x zijn.

Gemiddelde beoordeling: 0 (0 Stemmen)